Safe Haskell | Safe-Inferred
Language | Haskell2010

TypeFamilies3

Synopsis

- type family Foo a where ...
- type family Bar a
- data family Baz a

# Documentation

type family Foo a where ... #

A closed type family

Equations

Foo () = Int |
Foo _1 = () |

type family Bar a #

An open family

#### Instances

Instances details

type Bar () # |
Instance details Defined in TypeFamilies3 type Bar () = Int
type Bar Int # |
Instance details Defined in TypeFamilies3 type Bar Int = ()

data family Baz a #

A data family

#### Instances

Instances details

data Baz () # |
Instance details Defined in TypeFamilies3 data Baz () = Baz1
newtype Baz Double # |
Instance details Defined in TypeFamilies3 newtype Baz Double = Baz3 Float
data Baz Int # |
Instance details Defined in TypeFamilies3 data Baz Int = Baz2 Bool